karaf-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jean-Baptiste Onofré (JIRA) <j...@apache.org>
Subject [jira] [Commented] (KARAF-4406) Use javax.servlet-api 3.1.0 instead of Geronimo servlet spec
Date Wed, 09 Mar 2016 09:00:48 GMT

    [ https://issues.apache.org/jira/browse/KARAF-4406?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15186786#comment-15186786
] 

Jean-Baptiste Onofré commented on KARAF-4406:
---------------------------------------------

Karaf 4.1.x & 4.0.x already use Jetty 9.2.x, supporting API 3.1.

Actually, in Karaf 4.1.x & 4.0.1, both Jetty 9.2 and 8.1 features are available:

{code}
    <feature name="jetty" version="9.2.10.v20150310">
        <feature prerequisite="false" dependency="false">pax-jetty</feature>
    </feature>
    <feature name="jetty" version="8.1.14.v20131031">
        <bundle start-level="30" dependency="true">mvn:org.apache.servicemix.specs/org.apache.servicemix.specs.activation-api-1.1/2.5.0</bundle>
        <bundle start-level="30" dependency="false">mvn:org.apache.geronimo.specs/geronimo-servlet_3.0_spec/1.0</bundle>
        <bundle start-level="30" dependency="true">mvn:javax.mail/mail/1.4.5</bundle>
        <bundle start-level="30" dependency="true">mvn:org.apache.geronimo.specs/geronimo-jta_1.1_spec/1.1.1</bundle>
        <bundle start-level="30" dependency="true">mvn:org.apache.geronimo.specs/geronimo-annotation_1.1_spec/1.0.1</bundle>
        <bundle start-level="30" dependency="true">mvn:org.apache.geronimo.specs/geronimo-jaspic_1.0_spec/1.1</bundle>
        <bundle start-level="30">mvn:org.eclipse.jetty.aggregate/jetty-all-server/8.1.14.v20131031</bundle>
    </feature>
{code}

Jetty 8 feature is just for backward compatibility and install its only API 3.0.

> Use javax.servlet-api 3.1.0 instead of Geronimo servlet spec
> ------------------------------------------------------------
>
>                 Key: KARAF-4406
>                 URL: https://issues.apache.org/jira/browse/KARAF-4406
>             Project: Karaf
>          Issue Type: Task
>          Components: karaf-feature
>            Reporter: Andrea Cosentino
>            Assignee: Andrea Cosentino
>            Priority: Minor
>             Fix For: 4.1.0, 4.0.5
>
>
> Passing to javax.servlet-api and remove reference to Geronimo Servlet Specs 3.0



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message